<template>
  <div>
    <!-- <div class="md-layout">
      <div
        v-for="scenarioListType in scenarioListTypes"
        :key="scenarioListType.type"
        class="md-layout-item md-medium-size-50 scenario-list-type tb-text-center"
      >
        <img
          :src="scenarioListType.image_url"
          style="cursor: pointer"
          decoding="async"
          @click="currentScenarioListType = scenarioListType.value"
        />
      </div>
    </div> -->

    <!-- <div class="md-layout">
      <div
        v-for="scenarioList in scenarioLists"
        v-bind:key="scenarioList.name"
        class="md-layout-item md-size-100"
      >
        <md-toolbar class="md-default-toolbar">
          <h3 class="md-title scenario-list-name" style="flex: 1">
            {{ scenarioList.name }}
          </h3>
          <p class="show-more-button">
            <a
              v-if="currentScenarioListType == 0"
              style="color: black !important"
              @click="currentScenarioListType = scenarioList.scenario_list_type"
              >{{ $t('show_more') }}
              <md-icon class="arrow-icon">keyboard_arrow_right</md-icon>
            </a>
            <a
              v-else
              v-show="scenarioList.id > 0"
              style="color: black !important"
              @click="$router.push('/console/libraries/' + scenarioList.id)"
              >{{ $t('show_more') }}
              <md-icon class="arrow-icon">keyboard_arrow_right</md-icon>
            </a>
          </p>
        </md-toolbar>

        <div class="md-layout">
          <div
            v-for="scenario in scenarioList.scenarios"
            v-bind:key="scenario.id"
            class="md-layout-item md-size-25 md-medium-size-30 md-small-size-50 md-xsmall-size-100"
          >
            <a :href="`/console/libraries/scenario/${scenario.id}`">
              <md-card class="md-default-card">
                <md-card-media>
                  <img
                    :src="scenario.icon_image_url"
                    class="scenario-image"
                    decoding="async"
                  />
                </md-card-media>

                <md-card-header>
                  <p class="scenario-name m-0">{{ scenario.name }}</p>
                </md-card-header>
              </md-card>
            </a>
          </div>
        </div>
      </div>
    </div> -->
  </div>
</template>

<script>
import { mapActions, mapGetters } from 'vuex';

export default {
  name: 'ConsoleLibrariesIndex',
  data() {
    return {
      es: [],
      scenarioLists: [],
      breadCrumbs: [],
      scenarioListTypes: [],
      currentScenarioListType: 0,
    };
  },
  computed: {
    ...mapGetters(['currentUser', 'consoleConfigs']),
    current_user() {
      return this.currentUser;
    },
    configs() {
      return this.consoleConfigs;
    },
  },
  mounted() {
    this.breadCrumbs = [
      {
        name: 'dashboard',
        path: '/',
      },
    ];

    // this.$emit('getBreadCrumbs', this.breadCrumbs);
    // if (sessionStorage.getItem('changed_admin_role') != null) {
    //   sessionStorage.removeItem('changed_admin_role');
    //   this.$notify({ message: this.$t('changed_admin_role'), type: 'success' });
    // }

    // this.fetchLibrariesConfigs()
    //   .then((e) => {
    //     this.scenarioListTypes = e.data.scenario_list_types;
    //   })
    //   .catch((e) => {
    //     this.es = e.response.data.errors;
    //   });

    // // TODO
    // this.fetchLibrariesAllType()
    //   .then((e) => {
    //     this.scenarioLists = e.data.scenario_lists;
    //   })
    //   .catch((e) => {
    //     this.es = e.response.data.errors;
    //   });
  },
  watch: {
    // currentScenarioListType: function () {
    //   this.getScenarioList();
    // },
  },
  methods: {
    ...mapActions([
      'fetchLibraries',
      'fetchLibrariesConfigs',
      'fetchLibrariesAllType',
    ]),
    getScenarioList: function () {
      // const params = { scenario_list_type: this.currentScenarioListType };
      // this.fetchLibraries(params)
      //   .then((e) => {
      //     this.scenarioLists = e.data.scenario_lists;
      //   })
      //   .catch((e) => {
      //     this.es = e.response.data.errors;
      //   });
    },
  },
};
</script>

<style scoped>
.scenario-list-type {
  margin: 0 0 30px 0 !important;
}
.scenario-name {
  font-size: 16px;
  font-weight: bold;
  height: 48px;
  overflow: hidden;
}
.scenario-image {
  height: 150px;
  object-fit: cover;
}
.scenario-list-name {
  font-size: 32px;
  font-weight: bold;
  display: inline-block;
  color: black;
  margin-top: 30px;
  padding-left: 15px;
}
.show-more-button {
  margin-top: 40px;
  margin-right: 20px;
  float: right;
  color: black;
  cursor: pointer;
}
.arrow-icon {
  padding: 0 20px 4px 0;
  color: black !important;
}
</style>
